#!/bin/bash

. ${0%/*}/upnplib.sh

# default configuration
HOST="fritz.box"
PORT="49000"
NETCAT="netcat"

case $NETCAT in
    bash) nc="shell_netcat" ;;
    netcat) nc="netcat" ;;
    nc_q) nc="nc -q 1" ;;
    *) nc="nc" ;;
esac

help_txt="\
Usage: upnp2mrtg [-a <host>] [-p <port>] [-d] [-h] [-V] <service-type-urn> <control-url> <action> <argument>

  -a <host>    hostname or ip adress of upnp device (default: $HOST)
  -p <port>    port to connect (default: $PORT)
  -d           debug mode
  -h           show help and exit
  -V           be verbose for testing
"

while getopts "a:dhp:V1:2:" option; do
  case $option in
    a) HOST="$OPTARG";;
    d) set -x ;;
    h) echo "$help_txt"; exit 0;;
    p) PORT="$OPTARG";;
    V) VERBOSE=true;;
    ?) exit 1;;
  esac
done
shift $(($OPTIND - 1))

if [ "${#@}" -ge 3 ]; then
  stype=$1
  url=$2
  shift 2
  soapreq ${stype} ${url} ${@}
fi
